Skip to main content
GET
List Verify jobs

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

repository_id
string<uuid>
required

Verify registration UUID returned as id by list_verify_repositories; not the provider repository ID.

Query Parameters

org_id
string

Organization selected by a workspace API key; omit for an organization-bound key or MCP connection.

Minimum string length: 1
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string

Opaque continuation returned by this operation. Reuse with the same organization, filters and limit; continue even through empty pages.

Required string length: 1 - 4096
branch
string
Required string length: 1 - 255
environment_id
string<uuid>

Response

OK

data
object[]
required
next_cursor
required